<?php
/**
 * Plugin Name: SimpLy Gallery Block - Multisite Edition
 * Plugin URI: https://blockslib.com/galleryblock/
 * Description: A simple administrator will receive permission to publish Unfiltered HTML. SimpLy Photo Gallery is a suite of beautiful gallery Gutenberg blocks with next gen Lightbox for photographers, artists, writers and content marketers. This plugin (Block set) will help you create responsive gallery images with a beautiful lightbox. Three desired layout in one plugin - Masonry, Justified and Grid.
 * Author: GalleryCreator
 * Author URI: https://blockslib.com/
 * Version: 1.2.0
 * License: GPL2+
 * License URI: https://www.gnu.org/licenses/gpl-2.0.txt
 *
 * @package SimpLy Gallery Block
 */

/**
 * Exit if accessed directly.
 */ 

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Block Initializer.
 */
require_once plugin_dir_path( __FILE__ ) . 'blocks/init.php';

add_filter( 'plugin_row_meta', 'pgc_sgb_reviews', 10, 2 );
function pgc_sgb_reviews( $meta_fields, $plugin_file_name ){
	$wp_link = 'https://wordpress.org/support/plugin/simply-gallery-block';
	if( strpos( $plugin_file_name, basename(__FILE__) )) {
		$meta_fields[] = "<a href='".$wp_link."' target='_blank'>Support Forum</a>";
		$svg = "<svg xmlns='http://www.w3.org/2000/svg' width='15' height='15' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='feather feather-star'><polygon points='12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2'/></svg>";

		$meta_fields[] = '<i class="pgc-sgb-rate-stars">'.
		                 '<a href="'.$wp_link.'/reviews/?rate=1#new-post" target="_blank">'.$svg.'</a>'.
		                 '<a href="'.$wp_link.'/reviews/?rate=2#new-post" target="_blank">'.$svg.'</a>'.
		                 '<a href="'.$wp_link.'/reviews/?rate=3#new-post" target="_blank">'.$svg.'</a>'.
		                 '<a href="'.$wp_link.'/reviews/?rate=4#new-post" target="_blank">'.$svg.'</a>'.
		                 '<a href="'.$wp_link.'/reviews/?rate=5#new-post" target="_blank">'.$svg.'</a>'.
		                 '</i>';
		echo "<style>"
		     .".pgc-sgb-rate-stars{display:inline-block;color:#ffb900;position:relative;top:3px;}"
		     .".pgc-sgb-rate-stars a {color:#ffb900;}"
		     .".pgc-sgb-rate-stars a svg{fill:#ffb900;}"
		     .".pgc-sgb-rate-stars a:hover svg{fill:#ffb900}"
		     .".pgc-sgb-rate-stars a:hover ~ a svg {fill:none;}"
		     ."</style>";
	}
 
	return $meta_fields;
}
/** Multisite */
function pgc_sgb_unfiltered_html_capability_to_editors( $caps, $cap, $user_id ) {

	if ( 'unfiltered_html' === $cap && user_can( $user_id, 'administrator' ) ) {
   
	$caps = array( 'unfiltered_html' );
   
	}
   
	return $caps;
   }
add_filter( 'map_meta_cap', 'pgc_sgb_unfiltered_html_capability_to_editors', 1, 3 );